Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_method_cfunc_struct Struct Reference

`#include <method.h>`

## Data Fields
VALUE(* | func )(ANYARGS)
VALUE(* | invoker )(VALUE recv, int argc, const VALUE *argv, VALUE(*func)(ANYARGS))
int | argc

## Detailed Description

Definition at line 131 of file method.h.

## Field Documentation

## ◆ argc

int rb_method_cfunc_struct::argc

Definition at line 134 of file method.h.

Referenced by rb_add_method_cfunc().

## ◆ func

VALUE(* rb_method_cfunc_struct::func)()

Definition at line 132 of file method.h.

Referenced by rb_add_method_cfunc().

## ◆ invoker

VALUE(* rb_method_cfunc_struct::invoker)(VALUE recv, int argc, const VALUE *argv, VALUE(*func)())

Definition at line 133 of file method.h.

The documentation for this struct was generated from the following files:

- method.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h